<?php
/**
 * @file
 * popsu_projets_europe.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_projets_europe_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function popsu_projets_europe_views_api() {
  return array("version" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function popsu_projets_europe_image_default_styles() {
  $styles = array();

  // Exported image style: popsu-projetseurope-diapo.
  $styles['popsu-projetseurope-diapo'] = array(
    'name' => 'popsu-projetseurope-diapo',
    'effects' => array(
      14 => array(
        'label' => 'Mise à l’échelle et recadrage',
        'help' => 'La mise à l\'échelle et le recadrage maintiendront les proportions originales de l\'image puis recadreront la dimension la plus large. C\'est très utile pour créer des vignettes carrées sans étirer les images.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => '600',
          'height' => '300',
        ),
        'weight' => '2',
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function popsu_projets_europe_node_info() {
  $items = array(
    'popsu_projet_europe' => array(
      'name' => t('Projet POPSU Europe'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Titre (pour l\'administration uniquement)'),
      'help' => t('Le titre de la page ne sera utilisé que pour les pages d\'administration.
Ex: Barcelone / Gare TGV'),
    ),
  );
  return $items;
}
